toolzerhub API Docs

List a store's products (v1)

Returns up to 250 products per page with variants, SKUs, prices, compare-at prices, availability, options and images. Pass collection for one collection. A domain that is not a Shopify store returns data: null.

1 credit / requestBilled only on success
GET
/v1/shopify/products

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

domain*string

The store's hostname, such as allbirds.com or gymshark.myshopify.com. A full URL is accepted.

page?integer

Page number, from 1 to 100.

Range1 <= value <= 100
Default1
limit?integer

Items per page, from 1 to 250.

Range1 <= value <= 250
Default250
collection?string

Only products in this collection: its handle, the part after /collections/.

curl -X GET "https://example.com/v1/shopify/products?domain=allbirds.com" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "domain": "string",    "collection": "string",    "page": 0,    "limit": 0,    "count": 0,    "has_more": true,    "products": [      {        "id": 0,        "title": "string",        "handle": "string",        "url": "string",        "vendor": "string",        "product_type": "string",        "tags": [          "string"        ],        "description": "string",        "body_html": "string",        "price_min": 0,        "price_max": 0,        "compare_at_price_max": 0,        "available": true,        "options": [          {            "name": "string",            "values": [              "string"            ]          }        ],        "variants": [          {            "id": 0,            "title": "string",            "sku": "string",            "price": 0,            "compare_at_price": 0,            "available": true,            "inventory_quantity": 0,            "barcode": "string",            "options": [              "string"            ],            "grams": 0,            "requires_shipping": true,            "image": "string"          }        ],        "images": [          {            "src": "string",            "width": 0,            "height": 0,            "alt": "string"          }        ],        "created_at": "string",        "published_at": "string",        "updated_at": "string"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}